
QGIS Application - Feature request #3383

Add a SAGA plugin

2011-01-02 11:25 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 13443

Description

Adding a simple plugin calling SAGA command line programs would be an easy way of greatly improving QGIS analytical power. See 

http://www.saga-gis.org/saga_modules_doc/index.html

History

#1 - 2011-01-02 11:28 PM - Paolo Cavallini

It seems that there is already SAGA Python Bindings.

http://static.saga.cct.lsu.edu/apidoc/python/latest/

https://svn.cct.lsu.edu/repos/saga/bindings/python/trunk/

Thanks Noli for pointing this out.

#2 - 2011-01-03 01:20 AM - johanvdw -

You are confusing saga  (an api for grid computing

http://saga.cct.lsu.edu/) with saga gis ( http://www.saga-gis.org ).

But: saga gis also has a python api based on swig.

Some examples are here:

http://sourceforge.net/apps/trac/saga-gis/raw-attachment/wiki/MiscWikiFiles/saga_2_python.zip

In case people are interested: I have a script which parses the module

parameters to create some test scripts which can be useful as a start

for such a module - I'll check if everything works ok

with the current version and try to add some documentation on how to

build the saga python extensions to the wiki and then ping back.

#3 - 2011-08-23 02:01 AM - Borys Jurgiel

- Pull Request or Patch supplied set to No

- Resolution set to fixed

- Status changed from Open to Closed

Implemented by Camilo Polymeris as SAGA Module Interface.
